replicaCount: 1
image:
  repository: git.oceanbox.io/oceanbox/poseidon/sorcerer
  tag: 74ed3e11-debug
podAnnotations:
  dapr.io/enabled: "true"
  dapr.io/app-id: "staging-sorcerer"
  dapr.io/app-port: "8085"
  dapr.io/api-token-secret: "dapr-api-token"
  dapr.io/config: "tracing"
  dapr.io/app-protocol: "http"
  dapr.io/log-as-json: "true"
  dapr.io/sidecar-cpu-request: "10m"
  dapr.io/sidecar-memory-request: "50Mi"
  # dapr.io/sidecar-cpu-limit: "300m"
  # dapr.io/sidecar-memory-limit: "1000Mi"
env:
  - name: APP_VERSION
    value: "0.0.0-staging"
  - name: LOG_LEVEL
    value: "1"
  - name: REDIS_USER
    value: default
  - name: REDIS_PASSWORD
    valueFrom:
      secretKeyRef:
        name: staging-sorcerer-redis
        key: redis-password
  - name: DAPR_API_TOKEN
    valueFrom:
      secretKeyRef:
        name: dapr-api-token
        key: token
ingress:
  enabled: true
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-production
    # nginx.ingress.kubernetes.io/whitelist-source-range: 10.0.0.0/8,172.16.0.0/12,192.168.0.0/16
    nginx.ingress.kubernetes.io/affinity: "cookie"
    nginx.ingress.kubernetes.io/session-cookie-name: "http-affinity"
    nginx.ingress.kubernetes.io/session-cookie-expires: "86400"
    nginx.ingress.kubernetes.io/session-cookie-max-age: "86400"
    # oceanbox.io/expose: internal
  hosts:
    - host: sorcerer.ekman.oceanbox.io
      paths:
        - path: /
          pathType: ImplementationSpecific
      internal:
        - path: /internal
          pathType: ImplementationSpecific
        - path: /dapr
          pathType: ImplementationSpecific
        - path: /actors
          pathType: ImplementationSpecific
        - path: /job
          pathType: ImplementationSpecific
        - path: /events
          pathType: ImplementationSpecific
        - path: /metrics
          pathType: ImplementationSpecific
  tls:
    - hosts:
        - sorcerer.ekman.oceanbox.io
      secretName: staging-sorcerer-tls
persistence:
  enabled: true
  existingClaim: staging-sorcerer-ceph-archives
  # existingClaim: staging-oceanbox-backup-archives
  #
redis:
  enabled: true
  size: 2Gi
  storageClass: "cephfs"
  backup:
    enabled: true
  secret:
    name: "staging-sorcerer-redis"
    key: "redis-password"
  resources:
    cpu: 150m
    memory: 256Mi
# nodeSelector:
#   node-role.kubernetes.io/srv: ""
#   kubernetes.io/hostname: fs-backup
#   node-role.kubernetes.io/worker: c1-1

# tolerations:
#   - key: workload
#     operator: Equal
#     value: compute
#     effect: NoSchedule
affinity:
  nodeAffinity:
    requiredDuringSchedulingIgnoredDuringExecution:
      nodeSelectorTerms:
        - matchExpressions:
            - key: "topology.kubernetes.io/group"
              operator: In
              values:
                - srv
  podAntiAffinity:
    requiredDuringSchedulingIgnoredDuringExecution:
      - labelSelector:
          matchExpressions:
            - key: "app.kubernetes.io/name"
              operator: In
              values:
                - sorcerer
            - key: "app.kubernetes.io/instance"
              operator: In
              values:
                - staging-sorcerer
        topologyKey: "kubernetes.io/hostname"
diagrid-dashboard:
  enabled: false
  statestore:
    scope: staging-sorcerer
    redis: staging-sorcerer-redis
